/*
 * Copyright (C) 2013  Joakim Soderlund
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package vispaca.misc;

import java.awt.GridBagConstraints;
import java.awt.Insets;


/**
 * Various utility methods for panels.
 */
public class PanelUtil {

	/**
	 * @return Horizontal grid bag constraints.
	 */
	public static GridBagConstraints getHorizontalConstraints() {
		GridBagConstraints constraints = new GridBagConstraints();
		constraints.anchor = GridBagConstraints.CENTER;
		constraints.fill = GridBagConstraints.BOTH;
		constraints.gridx = GridBagConstraints.RELATIVE;
		constraints.gridy = GridBagConstraints.NONE;
		constraints.insets = new Insets(5, 5, 5, 5);
		return constraints;
	}


	/**
	 * @return Vertical grid bag constraints.
	 */
	public static GridBagConstraints getVerticalConstraints() {
		GridBagConstraints constraints = new GridBagConstraints();
		constraints.anchor = GridBagConstraints.CENTER;
		constraints.fill = GridBagConstraints.BOTH;
		constraints.gridx = GridBagConstraints.NONE;
		constraints.gridy = GridBagConstraints.RELATIVE;
		constraints.insets = new Insets(5, 5, 5, 5);
		return constraints;
	}
}
