/*
 * Copyright (C) 2013  Joakim Soderlund
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package vispaca.misc;

import vispaca.data.DataTable;


/**
 * Handles the scatter plot configuration.
 */
public class ScatterConfig {

	private AttributeConfig x = new AttributeConfig();
	private AttributeConfig y = new AttributeConfig();
	private AttributeConfig color = new AttributeConfig();


	public ScatterConfig() {

	}


	public ScatterConfig(DataTable dataTable, int xAttribute, int yAttribute, int colorAttribute) {
		init(dataTable, xAttribute, yAttribute, colorAttribute);
	}


	/**
	 * Sets attribute defaults.
	 */
	public void init(DataTable dataTable, int xAttribute, int yAttribute, int colorAttribute) {
		x.init(dataTable, xAttribute);
		y.init(dataTable, yAttribute);
		color.init(dataTable, colorAttribute);
	}


	public AttributeConfig getX() {
		return x;
	}


	public AttributeConfig getY() {
		return y;
	}


	public AttributeConfig getColor() {
		return color;
	}
}
